
import 'package:flutter/cupertino.dart';
import 'package:flutter_easyloading/flutter_easyloading.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

import 'package:worker_client/widgets/MyButton/index.dart';
import 'package:worker_client/widgets/layout/BasicPage.dart';

import 'package:worker_client/utils/timer.dart';

class UpgradePage extends BasicPage {
  UpgradePage({Key? key}) : super(key: key) {
    naviTitle = '检查更新';
  }

  @override
  Widget builder(BuildContext context) {

    return Container(
      margin: EdgeInsets.only(top: 24.h),
      padding: EdgeInsets.symmetric(horizontal: 32.w),
      child: Column(
        children: [
          MyButton (
            text: '检查更新',
            type: 0,
            disable: false,
            onClick: () {
              EasyLoading.show(status: '正在检查更新...');

              setTimeout(() {
                EasyLoading.showToast('当前已是最新版本');

                setTimeout(() {
                  EasyLoading.dismiss();
                }, 1500);
              }, 3000);
            },
          )
        ],
      ),
    );
  }

}
