import 'package:dio/dio.dart';
import '../utils/Request.dart';

import 'showError.dart';

/**
 * 意见反馈
 * @param {*} data
 * @returns
 */

Future feedback(String content) async {
  return request('/feedback',
          options: Options(method: 'POST'), data: {'content': content})
      .catchError(showError);
}
