import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:get/get.dart';
import 'package:worker_client/widgets/layout/BasicPage.dart';

class Agreement extends BasicPage {
  @override
  Widget builder(BuildContext context) {
    naviTitle = '用户协议';
    return ListView(
      children: [
        Container(
          padding: EdgeInsets.symmetric(vertical: 15.w, horizontal: 15.w),
          child: SingleChildScrollView(
            child: Column(
              children: [
                Row(
                  mainAxisAlignment: MainAxisAlignment.center,
                  children: [
                    Image.asset(
                      'images/machinery/mIcon.png',
                      width: 16.5.w,
                    ),
                    Container(
                      margin: EdgeInsets.symmetric(horizontal: 15.5.w),
                      child: Text(
                        '用户协议',
                        style: TextStyle(
                            fontSize: 22.sp,
                            fontWeight: FontWeight.bold,
                            color: const Color(0xFF222222),
                            height: 1.1),
                      ),
                    ),
                    Image.asset(
                      'images/machinery/mIcon.png',
                      width: 16.5.w,
                    ),
                  ],
                ),
                Image.network(
                  'https://dz-machinery.oss-cn-nanjing.aliyuncs.com/images/privacy_policy.png',
                  width: Get.width,
                  fit: BoxFit.cover,
                )
              ],
            ),
          ),
        ),
      ],
    );
  }
}
