import 'package:card_swiper/card_swiper.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:get_storage/get_storage.dart';
import 'package:worker_client/utils/tool.dart';

class SplashScreen extends StatelessWidget {
  const SplashScreen({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    GetStorage box = GetStorage();
    var pg = isLogin() ? '/home' : '/login';
    box.write("not-first-load", true);

    return Scaffold (
        body: Swiper (
          itemBuilder: (BuildContext context,int index){
            var adImg = "https://dz-machinery.oss-cn-nanjing.aliyuncs.com/images/nongji_launch_image_" + (index + 1).toString() + ".png";
            return Image.network(adImg,fit: BoxFit.fill,);
          },
          loop: false,
          itemCount: 3,
          pagination: const SwiperPagination(),
          // control: SwiperControl(),
          onTap: (index) {
            if (index == 2) {
              Get.offNamed(pg);
            }
            // foo
          },
        )
    );
  }
}