import 'package:get/get.dart';
import 'package:get_storage/get_storage.dart';
import 'package:worker_client/pages/index.dart';
import 'package:worker_client/utils/tool.dart';

List<GetPage> pages = [
  GetPage(
      name: '/',
      page: () {
        GetStorage box = GetStorage();
        var isFirstLoad = !box.hasData("not-first-load");

        print("------isFirstLoad------");
        print(isFirstLoad);

        return isFirstLoad ? const SplashScreen() : ( isLogin() ? Home() : Login() );
      }),
  GetPage(name: '/order', page: () => Order()),
  GetPage(name: '/login', page: () => Login()),
  GetPage(name: '/home', page: () => Home()),
  GetPage(name: '/main', page: () => Main()),
  GetPage(name: '/splash', page: () => const SplashScreen()), // SplashScreen
  GetPage(name: '/jobDetail', page: () => JobDetail()),
  GetPage(name: '/orderDetail', page: () => OrderDetail()),
  GetPage(name: '/machineryList', page: () => MachineryList()),
  GetPage(name: '/machineryDetail', page: () => MachineryDetail()),
  GetPage(name: '/machineryMap', page: () => MachineryMap()),
  GetPage(name: '/bankList', page: () => BankListPages()),
  GetPage(name: '/addBankCard', page: () => AddBankPage()),
  GetPage(name: '/userInfo', page: () => UserInfo()),
  GetPage(name: '/wallet', page: () => MyWallet()),
  GetPage(name: '/withdrawal', page: () => MyWithdrawal()),
  GetPage(name: '/aboutUs', page: () => AboutUs()),
  GetPage(name: '/agreement', page: () => Agreement()),
  GetPage(name: '/feedback', page: () => Feedback()),
  GetPage(name: '/upgrade', page: () => UpgradePage()),
  GetPage(name: '/workInShifts', page: () => WorkInShifts()),
  GetPage(name: '/resetPassword', page: () => ResetPassword()),
];
