import 'package:dio/dio.dart';
import '../utils/Request.dart';

import 'showError.dart';

/// 账户余额
/// @param {*} data
/// @returns
Future getAccount() async {
  return request('/account/mine', options: Options(method: 'GET'));
}

/// 我的流水
/// @param {*} data
/// @returns
Future getLogList(params) async {
  return request('/account-log',
          options: Options(method: 'GET'), queryParameters: params)
      .catchError(showError);
}
